#Module-Specific definitions
%define apache_version 2.2.8
%define mod_name mod_httpbl
%define mod_conf A99_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache Web server
Name:		apache-%{mod_name}
Version:	0
Release:	%mkrel 12
Group:		System/Servers
License:	Apache License
URL:		http://sourceforge.net/projects/httpbl/
Source0:	mod_httpbl_for_apache_2.0.tar.gz
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= %{apache_version}
Requires(pre):  apache >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache >= %{apache_version}
BuildRequires:  apache-devel >= %{apache_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The mod_httpbl Apache module is ideal for leveraging the Project Honey pot
http:BL services within the context of an Apache web server. Built on the
Apache APIs, the mod enables web admins to block comment spammers, harvesters,
and other malicious IPs.

%prep

%setup -q -n mod_httpbl_for_apache_2.0

cp mod_httpbl_source/mod_httpbl.c .
chmod 644 mod_httpbl_source/install.txt mod_httpbl_manual/mod_httpbl.xml

cp %{SOURCE1} %{mod_conf}

%build

%{_sbindir}/apxs -DDEFAULT_SERVER_ROOT_DIRECTORY=\\\"%{_sysconfdir}/httpd/\\\" -c mod_httpbl.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc mod_httpbl_source/install.txt mod_httpbl_manual/mod_httpbl.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 0-12mdv2011.0
+ Revision: 678323
- mass rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0-11mdv2011.0
+ Revision: 588007
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0-10mdv2010.1
+ Revision: 516125
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0-9mdv2010.0
+ Revision: 406594
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0-8mdv2009.1
+ Revision: 325775
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0-7mdv2009.0
+ Revision: 234959
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0-6mdv2009.0
+ Revision: 215587
- fix rebuild
- new cvs snapshot

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0-4mdv2008.1
+ Revision: 181763
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0-3mdv2008.1
+ Revision: 170727
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0-2mdv2008.0
+ Revision: 82594
- rebuild

* Mon Jun 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2008.0
+ Revision: 35110
- Import apache-mod_httpbl



* Mon Jun 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0-1mdv2008.1
- initial Mandriva package
